package com.brilliance.isc.mda.dao;
import com.brilliance.isc.vo.report.JsdReportVo;
import com.brilliance.isc.vo.report.RptqueRequestVo;
import org.apache.ibatis.annotations.Param;

import com.brilliance.isc.bo.Jsd;
import com.brilliance.isc.vo.derivative.JsdWithPtsCbbResponseVo;
import com.brilliance.isc.vo.derivative.JstselQueryVo;

import java.util.List;

public interface JsdMapper {

    int insert(Jsd record);

    int insertSelective(Jsd record);

    int updateByPrimaryKeySelective(Jsd record);

    int updateByPrimaryKey(Jsd record);

    int deleteByPrimaryKey(Jsd record);

    Jsd selectByPrimaryKey(Jsd record);

    List<JsdWithPtsCbbResponseVo> queryJsd(JstselQueryVo jstselQueryVo);

    Jsd selectByWhere(Jsd record);

    List<Jsd> selectByYewbh(String yewubh);

    Jsd selectByInr(@Param("inr") String inr);
    /**
     * 即远期业务明细报表
     */
    List<JsdReportVo> jsdReport(RptqueRequestVo rptqueRequestVo);

    /**
     * (非)非掉期结售汇余额表
     */
    List<JsdReportVo> jsdReportForIJ(RptqueRequestVo rptqueRequestVo);

    Jsd selectByOwnref(@Param("ownref") String ownref);
}
